DynFixedHelper (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynFixedHelper class
Date: 2015-07-19

org.omg.DynamicAny

## Class DynFixedHelper

- java.lang.Object
- - org.omg.DynamicAny.DynFixedHelper

-     public abstract class DynFixedHelper
      extends Object

  DynFixed objects support the manipulation of IDL fixed values. Because IDL does not have a generic type that can represent fixed types with arbitrary number of digits and arbitrary scale, the operations use the IDL string type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynFixedHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DynFixed` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, DynFixed that)`
    `static DynFixed` | `narrow(Object obj)`
    `static DynFixed` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static DynFixed` | `unchecked_narrow(Object obj)`
    `static void` | `write(OutputStream ostream, DynFixed value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynFixedHelper

          public DynFixedHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    DynFixed that)

    - #### extract

          public static DynFixed extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static DynFixed read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   DynFixed value)

    - #### narrow

          public static DynFixed narrow(Object obj)

    - #### unchecked_narrow

          public static DynFixed unchecked_narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.